diff --git a/PhysicsTools/BPHNano/plugins/DiTrackBuilder.cc b/PhysicsTools/BPHNano/plugins/DiTrackBuilder.cc
index 9d4d4fecc3f9..306549fbec88 100644
--- a/PhysicsTools/BPHNano/plugins/DiTrackBuilder.cc
+++ b/PhysicsTools/BPHNano/plugins/DiTrackBuilder.cc
@@ -26,7 +26,7 @@
 #include "helper.h"
 
 class DiTrackBuilder : public edm::global::EDProducer<> {
- public:
+public:
   typedef std::vector<reco::TransientTrack> TransientTrackCollection;
 
   explicit DiTrackBuilder(const edm::ParameterSet &cfg)
@@ -34,12 +34,9 @@ class DiTrackBuilder : public edm::global::EDProducer<> {
         trk2_selection_{cfg.getParameter<std::string>("trk2Selection")},
         pre_vtx_selection_{cfg.getParameter<std::string>("preVtxSelection")},
         post_vtx_selection_{cfg.getParameter<std::string>("postVtxSelection")},
-        pfcands_{consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("tracks"))},
-        ttracks_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("transientTracks"))},
-        beamspot_{consumes<reco::BeamSpot>(
-            cfg.getParameter<edm::InputTag>("beamSpot"))},
+        pfcands_{consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("tracks"))},
+        ttracks_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("transientTracks"))},
+        beamspot_{consumes<reco::BeamSpot>(cfg.getParameter<edm::InputTag>("beamSpot"))},
         trk1_mass_{cfg.getParameter<double>("trk1Mass")},
         trk2_mass_{cfg.getParameter<double>("trk2Mass")} {
     // output
@@ -48,31 +45,24 @@ class DiTrackBuilder : public edm::global::EDProducer<> {
 
   ~DiTrackBuilder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      trk1_selection_;  // cuts on leading cand
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      trk2_selection_;  // sub-leading cand
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      pre_vtx_selection_;  // cut on the di-track before the SV fit
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      post_vtx_selection_;  // cut on the di-track after the SV fit
+private:
+  const StringCutObjectSelector<pat::CompositeCandidate> trk1_selection_;      // cuts on leading cand
+  const StringCutObjectSelector<pat::CompositeCandidate> trk2_selection_;      // sub-leading cand
+  const StringCutObjectSelector<pat::CompositeCandidate> pre_vtx_selection_;   // cut on the di-track before the SV fit
+  const StringCutObjectSelector<pat::CompositeCandidate> post_vtx_selection_;  // cut on the di-track after the SV fit
   const edm::EDGetTokenT<pat::CompositeCandidateCollection>
-      pfcands_;  // input PF cands this is sorted in pT in previous step
-  const edm::EDGetTokenT<TransientTrackCollection>
-      ttracks_;  // input TTracks of PF cands
+      pfcands_;                                               // input PF cands this is sorted in pT in previous step
+  const edm::EDGetTokenT<TransientTrackCollection> ttracks_;  // input TTracks of PF cands
   const edm::EDGetTokenT<reco::BeamSpot> beamspot_;
   double trk1_mass_;
   double trk2_mass_;
 };
 
-void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt,
-                             edm::EventSetup const &) const {
+void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &) const {
   // inputs
   edm::Handle<pat::CompositeCandidateCollection> pfcands;
   evt.getByToken(pfcands_, pfcands);
@@ -82,19 +72,19 @@ void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt,
   evt.getByToken(beamspot_, beamspot);
 
   // output
-  std::unique_ptr<pat::CompositeCandidateCollection> ditrack_out(
-      new pat::CompositeCandidateCollection());
+  std::unique_ptr<pat::CompositeCandidateCollection> ditrack_out(new pat::CompositeCandidateCollection());
 
   // main loop
   for (size_t trk1_idx = 0; trk1_idx < pfcands->size(); ++trk1_idx) {
     edm::Ptr<pat::CompositeCandidate> trk1_ptr(pfcands, trk1_idx);
-    if (!trk1_selection_(*trk1_ptr)) continue;
+    if (!trk1_selection_(*trk1_ptr))
+      continue;
 
-    for (size_t trk2_idx = trk1_idx + 1; trk2_idx < pfcands->size();
-         ++trk2_idx) {
+    for (size_t trk2_idx = trk1_idx + 1; trk2_idx < pfcands->size(); ++trk2_idx) {
       edm::Ptr<pat::CompositeCandidate> trk2_ptr(pfcands, trk2_idx);
       // if (trk1_ptr->charge() == trk2_ptr->charge()) continue;
-      if (!trk2_selection_(*trk2_ptr)) continue;
+      if (!trk2_selection_(*trk2_ptr))
+        continue;
 
       pat::CompositeCandidate ditrack_cand;
       auto trk1_p4 = trk1_ptr->polarP4();
@@ -103,8 +93,7 @@ void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt,
       trk2_p4.SetM(K_MASS);
       ditrack_cand.setP4(trk1_p4 + trk2_p4);
       ditrack_cand.setCharge(trk1_ptr->charge() + trk2_ptr->charge());
-      ditrack_cand.addUserFloat("trk_deltaR",
-                                reco::deltaR(*trk1_ptr, *trk2_ptr));
+      ditrack_cand.addUserFloat("trk_deltaR", reco::deltaR(*trk1_ptr, *trk2_ptr));
       // save indices
       ditrack_cand.addUserInt("trk1_idx", trk1_idx);
       ditrack_cand.addUserInt("trk2_idx", trk2_idx);
@@ -123,67 +112,52 @@ void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt,
       trk2_p4.SetM(K_MASS);
       trk1_p4.SetM(K_MASS);
 
-      if (!pre_vtx_selection_(ditrack_cand)) continue;
+      if (!pre_vtx_selection_(ditrack_cand))
+        continue;
 
-      KinVtxFitter fitter({ttracks->at(trk1_idx), ttracks->at(trk2_idx)},
-                          {K_MASS, K_MASS},
-                          {K_SIGMA, K_SIGMA}  // K and PI sigma equal...
+      KinVtxFitter fitter({ttracks->at(trk1_idx), ttracks->at(trk2_idx)}, {K_MASS, K_MASS}, {K_SIGMA, K_SIGMA}
+                          // K and PI sigma equal...
       );
-      if (!fitter.success()) continue;
-      ditrack_cand.addUserFloat("fitted_mass_KK",
-                                fitter.fitted_candidate().mass());
-      ditrack_cand.addUserFloat(
-          "fitted_mass_KK_Err",
-          sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(
-              6, 6)));
+      if (!fitter.success())
+        continue;
+      ditrack_cand.addUserFloat("fitted_mass_KK", fitter.fitted_candidate().mass());
+      ditrack_cand.addUserFloat("fitted_mass_KK_Err",
+                                sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
       // fits required in order to calculate the error of the mass for each mass
       // hypothesis.
-      KinVtxFitter fitter_Kpi({ttracks->at(trk1_idx), ttracks->at(trk2_idx)},
-                              {K_MASS, PI_MASS},
-                              {K_SIGMA, K_SIGMA}  // K and PI sigma equal...
+      KinVtxFitter fitter_Kpi({ttracks->at(trk1_idx), ttracks->at(trk2_idx)}, {K_MASS, PI_MASS}, {K_SIGMA, K_SIGMA}
+                              // K and PI sigma equal...
       );
-      if (!fitter_Kpi.success()) continue;
-      ditrack_cand.addUserFloat("fitted_mass_Kpi",
-                                fitter_Kpi.fitted_candidate().mass());
-      ditrack_cand.addUserFloat(
-          "fitted_mass_Kpi_Err",
-          sqrt(
-              fitter_Kpi.fitted_candidate().kinematicParametersError().matrix()(
-                  6, 6)));
-      KinVtxFitter fitter_piK({ttracks->at(trk1_idx), ttracks->at(trk2_idx)},
-                              {PI_MASS, K_MASS},
-                              {K_SIGMA, K_SIGMA}  // K and PI sigma equal...
+      if (!fitter_Kpi.success())
+        continue;
+      ditrack_cand.addUserFloat("fitted_mass_Kpi", fitter_Kpi.fitted_candidate().mass());
+      ditrack_cand.addUserFloat("fitted_mass_Kpi_Err",
+                                sqrt(fitter_Kpi.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
+      KinVtxFitter fitter_piK({ttracks->at(trk1_idx), ttracks->at(trk2_idx)}, {PI_MASS, K_MASS}, {K_SIGMA, K_SIGMA}
+                              // K and PI sigma equal...
       );
-      if (!fitter_piK.success()) continue;
-      ditrack_cand.addUserFloat("fitted_mass_piK",
-                                fitter_piK.fitted_candidate().mass());
-      ditrack_cand.addUserFloat(
-          "fitted_mass_piK_Err",
-          sqrt(
-              fitter_piK.fitted_candidate().kinematicParametersError().matrix()(
-                  6, 6)));
-
-      ditrack_cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(),
-                                                    fitter.fitted_vtx().y(),
-                                                    fitter.fitted_vtx().z()));
+      if (!fitter_piK.success())
+        continue;
+      ditrack_cand.addUserFloat("fitted_mass_piK", fitter_piK.fitted_candidate().mass());
+      ditrack_cand.addUserFloat("fitted_mass_piK_Err",
+                                sqrt(fitter_piK.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
+
+      ditrack_cand.setVertex(
+          reco::Candidate::Point(fitter.fitted_vtx().x(), fitter.fitted_vtx().y(), fitter.fitted_vtx().z()));
       // save quantities after fit
       auto lxy = l_xy(fitter, *beamspot);
       ditrack_cand.addUserFloat("l_xy", lxy.value());
       ditrack_cand.addUserFloat("l_xy_unc", lxy.error());
       ditrack_cand.addUserInt("sv_ok", fitter.success() ? 1 : 0);
       auto fit_p4 = fitter.fitted_p4();
-      ditrack_cand.addUserFloat("fitted_cos_theta_2D",
-                                cos_theta_2D(fitter, *beamspot, fit_p4));
+      ditrack_cand.addUserFloat("fitted_cos_theta_2D", cos_theta_2D(fitter, *beamspot, fit_p4));
       // The following quantities do not independent on the mass hypothesis
       ditrack_cand.addUserFloat("sv_chi2", fitter.chi2());
       ditrack_cand.addUserFloat("sv_ndof", fitter.dof());
       ditrack_cand.addUserFloat("sv_prob", fitter.prob());
-      ditrack_cand.addUserFloat(
-          "fitted_pt", fitter.fitted_candidate().globalMomentum().perp());
-      ditrack_cand.addUserFloat(
-          "fitted_eta", fitter.fitted_candidate().globalMomentum().eta());
-      ditrack_cand.addUserFloat(
-          "fitted_phi", fitter.fitted_candidate().globalMomentum().phi());
+      ditrack_cand.addUserFloat("fitted_pt", fitter.fitted_candidate().globalMomentum().perp());
+      ditrack_cand.addUserFloat("fitted_eta", fitter.fitted_candidate().globalMomentum().eta());
+      ditrack_cand.addUserFloat("fitted_phi", fitter.fitted_candidate().globalMomentum().phi());
       ditrack_cand.addUserFloat("vtx_x", ditrack_cand.vx());
       ditrack_cand.addUserFloat("vtx_y", ditrack_cand.vy());
       ditrack_cand.addUserFloat("vtx_z", ditrack_cand.vz());
@@ -196,7 +170,8 @@ void DiTrackBuilder::produce(edm::StreamID, edm::Event &evt,
       ditrack_cand.addUserFloat("vtx_czy", covMatrix.czy());
 
       // after fit selection
-      if (!post_vtx_selection_(ditrack_cand)) continue;
+      if (!post_vtx_selection_(ditrack_cand))
+        continue;
       ditrack_out->emplace_back(ditrack_cand);
     }  // end for(size_t trk2_idx = trk1_idx + 1
   }  // for(size_t trk1_idx = 0
diff --git a/PhysicsTools/BPHNano/plugins/KinVtxFitter.cc b/PhysicsTools/BPHNano/plugins/KinVtxFitter.cc
index 9f9351eab88f..f66dfdb0b04d 100644
--- a/PhysicsTools/BPHNano/plugins/KinVtxFitter.cc
+++ b/PhysicsTools/BPHNano/plugins/KinVtxFitter.cc
@@ -13,15 +13,13 @@ KinVtxFitter::KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
   KinematicParticleFactoryFromTransientTrack factory;
   std::vector<RefCountedKinematicParticle> particles;
   for (size_t i = 0; i < tracks.size(); ++i) {
-    particles.emplace_back(factory.particle(tracks.at(i), masses.at(i),
-                                            kin_chi2_, kin_ndof_, sigmas[i]));
+    particles.emplace_back(factory.particle(tracks.at(i), masses.at(i), kin_chi2_, kin_ndof_, sigmas[i]));
   }
 
   KinematicParticleVertexFitter kcv_fitter;
   RefCountedKinematicTree vtx_tree = kcv_fitter.fit(particles);
 
-  if (vtx_tree->isEmpty() || !vtx_tree->isValid() ||
-      !vtx_tree->isConsistent()) {
+  if (vtx_tree->isEmpty() || !vtx_tree->isValid() || !vtx_tree->isConsistent()) {
     success_ = false;
     return;
   }
@@ -29,8 +27,7 @@ KinVtxFitter::KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
   vtx_tree->movePointerToTheTop();
   fitted_particle_ = vtx_tree->currentParticle();
   fitted_vtx_ = vtx_tree->currentDecayVertex();
-  if (!fitted_particle_->currentState().isValid() ||
-      !fitted_vtx_->vertexIsValid()) {
+  if (!fitted_particle_->currentState().isValid() || !fitted_vtx_->vertexIsValid()) {
     success_ = false;
     return;
   }
@@ -46,22 +43,20 @@ KinVtxFitter::KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
 
 KinVtxFitter::KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
                            const std::vector<double> masses,
-                           std::vector<float> sigmas, ParticleMass dilep_mass)
+                           std::vector<float> sigmas,
+                           ParticleMass dilep_mass)
     : n_particles_{masses.size()} {
   KinematicParticleFactoryFromTransientTrack factory;
   std::vector<RefCountedKinematicParticle> particles;
   for (size_t i = 0; i < tracks.size(); ++i) {
-    particles.emplace_back(factory.particle(tracks.at(i), masses.at(i),
-                                            kin_chi2_, kin_ndof_, sigmas[i]));
+    particles.emplace_back(factory.particle(tracks.at(i), masses.at(i), kin_chi2_, kin_ndof_, sigmas[i]));
   }
 
-  MultiTrackKinematicConstraint* dilep_c =
-      new TwoTrackMassKinematicConstraint(dilep_mass);
+  MultiTrackKinematicConstraint* dilep_c = new TwoTrackMassKinematicConstraint(dilep_mass);
   KinematicConstrainedVertexFitter kcv_fitter;
   RefCountedKinematicTree vtx_tree = kcv_fitter.fit(particles, dilep_c);
 
-  if (vtx_tree->isEmpty() || !vtx_tree->isValid() ||
-      !vtx_tree->isConsistent()) {
+  if (vtx_tree->isEmpty() || !vtx_tree->isValid() || !vtx_tree->isConsistent()) {
     success_ = false;
     return;
   }
@@ -69,8 +64,7 @@ KinVtxFitter::KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
   vtx_tree->movePointerToTheTop();
   fitted_particle_ = vtx_tree->currentParticle();
   fitted_vtx_ = vtx_tree->currentDecayVertex();
-  if (!fitted_particle_->currentState().isValid() ||
-      !fitted_vtx_->vertexIsValid()) {
+  if (!fitted_particle_->currentState().isValid() || !fitted_vtx_->vertexIsValid()) {
     success_ = false;
     return;
   }
diff --git a/PhysicsTools/BPHNano/plugins/KinVtxFitter.h b/PhysicsTools/BPHNano/plugins/KinVtxFitter.h
index a0bbb999b05b..b3191c9eaaf9 100644
--- a/PhysicsTools/BPHNano/plugins/KinVtxFitter.h
+++ b/PhysicsTools/BPHNano/plugins/KinVtxFitter.h
@@ -10,19 +10,16 @@
 #include "TrackingTools/TransientTrack/interface/TransientTrack.h"
 
 class KinVtxFitter {
- public:
-  KinVtxFitter()
-      : fitted_vtx_{},
-        fitted_state_{},
-        fitted_particle_{},
-        fitted_children_{},
-        fitted_track_{} {};
+public:
+  KinVtxFitter() : fitted_vtx_{}, fitted_state_{}, fitted_particle_{}, fitted_children_{}, fitted_track_{} {};
 
   KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
-               const std::vector<double> masses, std::vector<float> sigmas);
+               const std::vector<double> masses,
+               std::vector<float> sigmas);
 
   KinVtxFitter(const std::vector<reco::TransientTrack> tracks,
-               const std::vector<double> masses, std::vector<float> sigmas,
+               const std::vector<double> masses,
+               std::vector<float> sigmas,
                ParticleMass dilep_mass);
 
   ~KinVtxFitter() {};
@@ -30,23 +27,16 @@ class KinVtxFitter {
   bool success() const { return success_; }
   float chi2() const { return success_ ? fitted_vtx_->chiSquared() : 999; }
   float dof() const { return success_ ? fitted_vtx_->degreesOfFreedom() : -1; }
-  float prob() const {
-    return success_ ? ChiSquaredProbability(chi2(), dof()) : 0.;
-  }
-  float kin_chi2() const {
-    return kin_chi2_;
-  }  // should they be merged in a single value?
+  float prob() const { return success_ ? ChiSquaredProbability(chi2(), dof()) : 0.; }
+  float kin_chi2() const { return kin_chi2_; }  // should they be merged in a single value?
   float kin_ndof() const { return kin_ndof_; }
 
-  const KinematicState fitted_daughter(size_t i) const {
-    return fitted_children_.at(i)->currentState();
-  }
+  const KinematicState fitted_daughter(size_t i) const { return fitted_children_.at(i)->currentState(); }
 
   const math::PtEtaPhiMLorentzVector daughter_p4(size_t i) const {
     const auto& state = fitted_children_.at(i)->currentState();
     return math::PtEtaPhiMLorentzVector(
-        state.globalMomentum().perp(), state.globalMomentum().eta(),
-        state.globalMomentum().phi(), state.mass());
+        state.globalMomentum().perp(), state.globalMomentum().eta(), state.globalMomentum().phi(), state.mass());
   }
 
   const KinematicState fitted_candidate() const { return fitted_state_; }
@@ -60,15 +50,13 @@ class KinVtxFitter {
                                         fitted_state_.mass());
   }
 
-  const reco::TransientTrack& fitted_candidate_ttrk() const {
-    return fitted_track_;
-  }
+  const reco::TransientTrack& fitted_candidate_ttrk() const { return fitted_track_; }
 
   GlobalPoint fitted_vtx() const { return fitted_vtx_->position(); }
 
   GlobalError fitted_vtx_uncertainty() const { return fitted_vtx_->error(); }
 
- private:
+private:
   float kin_chi2_ = 0.;
   float kin_ndof_ = 0.;
   size_t n_particles_ = 0;
diff --git a/PhysicsTools/BPHNano/plugins/MCFinalStateSelector.cc b/PhysicsTools/BPHNano/plugins/MCFinalStateSelector.cc
index d1ea3cdc029b..cf8700107b4e 100644
--- a/PhysicsTools/BPHNano/plugins/MCFinalStateSelector.cc
+++ b/PhysicsTools/BPHNano/plugins/MCFinalStateSelector.cc
@@ -14,15 +14,13 @@
 #include "FWCore/ParameterSet/interface/ParameterSetDescription.h"
 
 class MCFinalStateSelector : public edm::global::EDProducer<> {
- public:
+public:
   MCFinalStateSelector(edm::ParameterSet const& params)
       : objName_(params.getParameter<std::string>("objName")),
         branchName_(params.getParameter<std::string>("branchName")),
         doc_(params.getParameter<std::string>("docString")),
-        src_(consumes<reco::CandidateView>(
-            params.getParameter<edm::InputTag>("src"))),
-        candMap_(consumes<edm::Association<reco::GenParticleCollection>>(
-            params.getParameter<edm::InputTag>("mcMap"))) {
+        src_(consumes<reco::CandidateView>(params.getParameter<edm::InputTag>("src"))),
+        candMap_(consumes<edm::Association<reco::GenParticleCollection>>(params.getParameter<edm::InputTag>("mcMap"))) {
     produces<nanoaod::FlatTable>();
     const std::string& type = params.getParameter<std::string>("objType");
     if (type == "Muon")
@@ -40,8 +38,7 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
     else if (type == "Other")
       type_ = MOther;
     else
-      throw cms::Exception("Configuration",
-                           "Unsupported objType '" + type + "'\n");
+      throw cms::Exception("Configuration", "Unsupported objType '" + type + "'\n");
 
     std::cout << "type = " << type << std::endl;
     switch (type_) {
@@ -60,8 +57,7 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
             "511 = from B0, 521 = from B+/-, 0 = unknown or unmatched";
         break;
       case MPhoton:
-        flavDoc_ =
-            "1 = prompt photon, 13 = prompt electron, 0 = unknown or unmatched";
+        flavDoc_ = "1 = prompt photon, 13 = prompt electron, 0 = unknown or unmatched";
         break;
       case MTau:
         flavDoc_ =
@@ -83,21 +79,19 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
     }
 
     if (type_ == MTau) {
-      candMapVisTau_ = consumes<edm::Association<reco::GenParticleCollection>>(
-          params.getParameter<edm::InputTag>("mcMapVisTau"));
+      candMapVisTau_ =
+          consumes<edm::Association<reco::GenParticleCollection>>(params.getParameter<edm::InputTag>("mcMapVisTau"));
     }
   }
 
   ~MCFinalStateSelector() override {}
 
-  void produce(edm::StreamID id, edm::Event& iEvent,
-               const edm::EventSetup& iSetup) const override {
+  void produce(edm::StreamID id, edm::Event& iEvent, const edm::EventSetup& iSetup) const override {
     edm::Handle<reco::CandidateView> cands;
     iEvent.getByToken(src_, cands);
     unsigned int ncand = cands->size();
 
-    auto tab =
-        std::make_unique<nanoaod::FlatTable>(ncand, objName_, false, true);
+    auto tab = std::make_unique<nanoaod::FlatTable>(ncand, objName_, false, true);
 
     edm::Handle<edm::Association<reco::GenParticleCollection>> map;
     iEvent.getByToken(candMap_, map);
@@ -132,32 +126,24 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
           break;
         case MElectron:
           if (match->isPromptFinalState())
-            flav[i] =
-                (match->pdgId() == 22 ? 22 : 1);  // prompt electron or photon
+            flav[i] = (match->pdgId() == 22 ? 22 : 1);  // prompt electron or photon
           else
             flav[i] = getParentHadronFlag(match);  // pdgId of mother
           break;
         case MPhoton:
           if (match->isPromptFinalState())
-            flav[i] =
-                (match->pdgId() == 22 ? 1 : 13);  // prompt electron or photon
+            flav[i] = (match->pdgId() == 22 ? 1 : 13);  // prompt electron or photon
           break;
         case MTau:
           // CV: assignment of status codes according to
           // https://twiki.cern.ch/twiki/bin/viewauth/CMS/HiggsToTauTauWorking2016#MC_Matching
-          if (match.isNonnull() && match->statusFlags().isPrompt() &&
-              abs(match->pdgId()) == 11)
+          if (match.isNonnull() && match->statusFlags().isPrompt() && abs(match->pdgId()) == 11)
             flav[i] = 1;
-          else if (match.isNonnull() && match->statusFlags().isPrompt() &&
-                   abs(match->pdgId()) == 13)
+          else if (match.isNonnull() && match->statusFlags().isPrompt() && abs(match->pdgId()) == 13)
             flav[i] = 2;
-          else if (match.isNonnull() &&
-                   match->isDirectPromptTauDecayProductFinalState() &&
-                   abs(match->pdgId()) == 11)
+          else if (match.isNonnull() && match->isDirectPromptTauDecayProductFinalState() && abs(match->pdgId()) == 11)
             flav[i] = 3;
-          else if (match.isNonnull() &&
-                   match->isDirectPromptTauDecayProductFinalState() &&
-                   abs(match->pdgId()) == 13)
+          else if (match.isNonnull() && match->isDirectPromptTauDecayProductFinalState() && abs(match->pdgId()) == 13)
             flav[i] = 4;
           else if (matchVisTau.isNonnull())
             flav[i] = 5;
@@ -179,14 +165,12 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
       };
     }
 
-    tab->addColumn<int>(branchName_ + "Idx", key,
-                        "Index into genParticle list for " + doc_);
+    tab->addColumn<int>(branchName_ + "Idx", key, "Index into genParticle list for " + doc_);
     // for(auto ij : flav) std::cout << " flav = " << ij << " " << (uint8_t)ij
     // << std::endl; tab->addColumn<uint8_t>(branchName_+"Flav", flav, "Flavour
     // of genParticle for "+doc_+": "+flavDoc_,
     // nanoaod::FlatTable::UInt8Column);
-    tab->addColumn<int>(branchName_ + "Flav", flav,
-                        "Flavour of genParticle for " + doc_ + ": " + flavDoc_);
+    tab->addColumn<int>(branchName_ + "Flav", flav, "Flavour of genParticle for " + doc_ + ": " + flavDoc_);
 
     iEvent.put(std::move(tab));
   }
@@ -195,7 +179,8 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
     for (unsigned int im = 0, nm = match->numberOfMothers(); im < nm; ++im) {
       reco::GenParticleRef mom = match->motherRef(im);
       assert(mom.isNonnull() && mom.isAvailable());  // sanity
-      if (mom.key() >= match.key()) continue;        // prevent circular refs
+      if (mom.key() >= match.key())
+        continue;  // prevent circular refs
       int id = std::abs(mom->pdgId());
       return id;
     }
@@ -204,14 +189,12 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
 
   static void fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
     edm::ParameterSetDescription desc;
-    desc.add<std::string>("objName")->setComment(
-        "name of the nanoaod::FlatTable to extend with this table");
+    desc.add<std::string>("objName")->setComment("name of the nanoaod::FlatTable to extend with this table");
     desc.add<std::string>("branchName")
         ->setComment(
             "name of the column to write (the final branch in the nanoaod will "
             "be <objName>_<branchName>Idx and <objName>_<branchName>Flav");
-    desc.add<std::string>("docString")
-        ->setComment("documentation to forward to the output");
+    desc.add<std::string>("docString")->setComment("documentation to forward to the output");
     desc.add<edm::InputTag>("src")->setComment(
         "physics object collection for the reconstructed objects (e.g. "
         "leptons)");
@@ -228,22 +211,12 @@ class MCFinalStateSelector : public edm::global::EDProducer<> {
     descriptions.add("mcFinalStatesTable", desc);
   }
 
- protected:
+protected:
   const std::string objName_, branchName_, doc_;
   const edm::EDGetTokenT<reco::CandidateView> src_;
-  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>>
-      candMap_;
-  edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>>
-      candMapVisTau_;
-  enum MatchType {
-    MMuon,
-    MElectron,
-    MTau,
-    MPhoton,
-    MTrack,
-    MOther,
-    MKshort
-  } type_;
+  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>> candMap_;
+  edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>> candMapVisTau_;
+  enum MatchType { MMuon, MElectron, MTau, MPhoton, MTrack, MOther, MKshort } type_;
   std::string flavDoc_;
 };
 
diff --git a/PhysicsTools/BPHNano/plugins/MatchEmbedder.cc b/PhysicsTools/BPHNano/plugins/MatchEmbedder.cc
index 8035448d6d78..3fe8e23f9d57 100644
--- a/PhysicsTools/BPHNano/plugins/MatchEmbedder.cc
+++ b/PhysicsTools/BPHNano/plugins/MatchEmbedder.cc
@@ -21,32 +21,28 @@ template <typename PATOBJ>
 class MatchEmbedder : public edm::global::EDProducer<> {
   // perhaps we need better structure here (begin run etc)
 
- public:
+public:
   explicit MatchEmbedder(const edm::ParameterSet &cfg)
-      : src_{consumes<PATOBJCollection>(
-            cfg.getParameter<edm::InputTag>("src"))},
-        matching_{consumes<edm::Association<reco::GenParticleCollection> >(
-            cfg.getParameter<edm::InputTag>("matching"))} {
+      : src_{consumes<PATOBJCollection>(cfg.getParameter<edm::InputTag>("src"))},
+        matching_{
+            consumes<edm::Association<reco::GenParticleCollection> >(cfg.getParameter<edm::InputTag>("matching"))} {
     produces<PATOBJCollection>();
   }
 
   ~MatchEmbedder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
+private:
   typedef std::vector<PATOBJ> PATOBJCollection;
   const edm::EDGetTokenT<PATOBJCollection> src_;
-  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection> >
-      matching_;
+  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection> > matching_;
 };
 
 template <typename PATOBJ>
-void MatchEmbedder<PATOBJ>::produce(edm::StreamID, edm::Event &evt,
-                                    edm::EventSetup const &iSetup) const {
+void MatchEmbedder<PATOBJ>::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &iSetup) const {
   // input
   edm::Handle<PATOBJCollection> src;
   evt.getByToken(src_, src);
